BillKit/Docs Console
Invoices

Void invoice route

Void an invoice, stating that the sale was never owed.

POST/v1/invoices/{invoice_id}/void
Operation void_invoice_route · Scope invoices:write · Spec snapshot 2026-09-13

Parameters

ParameterDescription
invoice_idstring · pathrequiredNo description in the spec.

Returns

Returns an InvoiceResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the invoices:write scope.
404 No such object, or it belongs to the other mode.
422 Validation Error
429 Rate limited. Back off and retry.
Request · curl
curl -X POST https://api.billkit.eu/v1/invoices/inv_9XKp2vQ1/void \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Response · 200 OK
{
  "billing_address_at_invoice_time": {
    "key": "value"
  },
  "created": 1789392000,
  "currency": "EUR",
  "customer": {
    "country_code": "NL",
    "email": "ada@example.com",
    "id": "obj_9XKp2vQ1",
    "name": "Ada Lovelace",
    "object": "customer.summary"
  },
  "customer_business_name_at_invoice_time": "string",
  "customer_email_at_invoice_time": "ada@example.com",
  "customer_id": "cus_9XKp2vQ1",
  "customer_name_at_invoice_time": "string",
  "customer_vat_number_at_invoice_time": "string",
  "discount_cents": 1900,
  "due_at": 1789392000,
  "id": "inv_9XKp2vQ1",
  "lines": [
    {
      "amount_cents": 1900,
      "currency": "EUR",
      "description": "string",
      "id": "ili_9XKp2vQ1",
      "object": "invoice_line_item",
      "period_end": 0,
      "period_start": 0,
      "quantity": 0,
      "tax_rate_basis_points": 0
    }
  ],
  "livemode": false,
  "number": "string",
  "object": "invoice",
  "one_shot_payment_id": "osp_9XKp2vQ1",
  "paid_at": 1789392000,
  "payment_id": "pay_9XKp2vQ1",
  "pdf_url": "https://acme.example/welcome",
  "status": "string",
  "subscription_id": "sub_9XKp2vQ1",
  "subtotal_cents": 1900,
  "tax_cents": 1900,
  "tax_country_code": "NL",
  "tax_reverse_charged": false,
  "total_cents": 1900,
  "voided_at": 1789392000
}